tpmtoken_init(1)

TPM Management - tpmtoken_init

NAME
tpmtoken_init - initialize the user's TPM PKCS#11 data store

SYNOPSIS
tpmtoken_init [OPTION]

DESCRIPTION

tpmtoken_init initializes the user's TPM PKCS#11 data store so that applications can exploit the TPM capabilities through the PKCS#11 interface.

PKCS#11 requires a password (or PIN) for the Security Officer (SO) and the User. The SO is responsible for initializing the token and setting the User password (or PIN).

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-k, --token STRING
    Use STRING to identify the label of the PKCS#11 token to be used

-y, --yes
    Assume an answer of yes for any confirmation prompts that would normally be asked

SEE ALSO

tpmtoken_setpasswd(1), tpmtoken_import(1), tpmtoken_objects(1), tpmtoken_protect(1)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>